System Requirements

by Damian Stalls Updated Sep 05, 2018

Operating System

E-mail Archive Client and the E-mail Archive Outlook Add-in require the following operating systems for installation and execution. Both 32-bit and 64-bit versions are supported.

  • Microsoft Windows 10
  • Microsoft Windows 8.1
  • Microsoft Windows 7 SP1
  • Microsoft Windows Server 2016 (Essentials, Standard, Datacenter)
  • Microsoft Windows Server 2012 R2 (Foundation, Essentials, Standard, Datacenter)
  • Microsoft Windows Server 2012 (Foundation, Essentials, Standard, Datacenter)
  • Microsoft Windows Small Business Server 2011 SP1
  • Microsoft Windows Small Business Server 2008 SP2
  • Microsoft Windows Server 2008 R2 SP1 (Foundation, Standard, Enterprise, Datacenter)
  • Microsoft Windows Server 2008 SP2 (Foundation, Standard, Enterprise, Datacenter)

Outlook Versions

E-mail Archive Outlook Add-in is compatible with the following versions of Microsoft Outlook for Windows. Both, 32-bit and 64-bit versions are supported.

  • Microsoft Outlook 2016 as component for Office 365 (Click-to-Run)
  • Microsoft Outlook 2016
  • Microsoft Outlook 2013 as component for Office 365 (Click-to-Run)
  • Microsoft Outlook 2013
  • Microsoft Outlook 2010 (Click-to-Run is not supported)
  • Microsoft Outlook 2007
  • Microsoft Outlook 2003

Important Notice: Outlook 2003 and 2007 are no longer maintained by Microsoft. Therefore, we are only able to ensure limited compatibility and thus provide limited technical support for Outlook 2003 and 2007. Furthermore, we reserve the right to completely remove support for Outlook 2003 and 2007 in a future E-mail Archive update.

Web Browsers

The following web browsers are officially supported by the E-mail Archive Web Access. Other browsers based on the same rendering engine as the once below (e.g. Opera) may work as well.

Operating System / Browser Edge IE 11 Firefox (Latest) Chrome (Latest) Safari 10 Safari 11
Windows 10 Supported Supported Supported Supported
Windows 8.1 Supported Supported Supported
Windows 7 (SP1) Supported Supported Supported
Mac OS X (10.8 and later) Supported Supported Supported Supported
Linux Supported Supported

0 Comment

Add your comment

E-Mail me when someone replies to this comment
Previous Article Accessing your E-mail Archive
Next Article E-mail Archive Downloads

Still Need Help?

Open a Ticket